Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

ossl_pkcs7.h
Go to the documentation of this file.
1 /*
2 * 'OpenSSL for Ruby' project
3 * Copyright (C) 2001-2002 Michal Rokos <m.rokos@sh.cvut.cz>
4 * All rights reserved.
5 */
6 /*
7 * This program is licensed under the same licence as Ruby.
8 * (See the file 'LICENCE'.)
9 */
10 #if !defined(_OSSL_PKCS7_H_)
11 #define _OSSL_PKCS7_H_
12
13 extern VALUE cPKCS7;
14 extern VALUE cPKCS7Signer;
15 extern VALUE cPKCS7Recipient;
16 extern VALUE ePKCS7Error;
17
18 void Init_ossl_pkcs7(void);
19
20 #endif /* _OSSL_PKCS7_H_ */
cPKCS7Recipient
VALUE cPKCS7Recipient
Definition: ossl_pkcs7.c:69
VALUE
unsigned long VALUE
Definition: ruby.h:102
cPKCS7Signer
VALUE cPKCS7Signer
Definition: ossl_pkcs7.c:68
Init_ossl_pkcs7
void Init_ossl_pkcs7(void)
Definition: ossl_pkcs7.c:1043
cPKCS7
VALUE cPKCS7
Definition: ossl_pkcs7.c:67
ePKCS7Error
VALUE ePKCS7Error
Definition: ossl_pkcs7.c:70